Retrieve a song
curl --request GET \
--url https://www.wavmaker.com/api/v1/songs/{song_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.wavmaker.com/api/v1/songs/{song_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.wavmaker.com/api/v1/songs/{song_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "xpnw7w",
"title": "Dream About",
"image": {
"sm": "https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyMzUsInB1ciI6ImJsb2JfaWQifX0=--5b693e2ad3e1a17e015818d644c071fd0d5aa4ac/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzEwMCwxMDBdfSwicHVyIjoidmFyaWF0aW9uIn19--c4b49c4778572373e70910bfce2bc8dd2cf81b7b/ever-us.png",
"md": "https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyMzUsInB1ciI6ImJsb2JfaWQifX0=--5b693e2ad3e1a17e015818d644c071fd0d5aa4ac/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzQwMCw0MDBdfSwicHVyIjoidmFyaWF0aW9uIn19--0f19739606c4e7a058269e200b30d48d61ea771b/ever-us.png",
"lg": "https://cdn.wavmaker.com/rails/active_storage/representations/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MTAyMzUsInB1ciI6ImJsb2JfaWQifX0=--5b693e2ad3e1a17e015818d644c071fd0d5aa4ac/eyJfcmFpbHMiOnsiZGF0YSI6eyJmb3JtYXQiOiJwbmciLCJyZXNpemVfdG9fZmlsbCI6WzEwMDAsMTAwMF19LCJwdXIiOiJ2YXJpYXRpb24ifX0=--012c9d0ab27ec018ebf03b0c12d570366df09153/ever-us.png"
},
"artist": {
"id": "ever-us",
"name": "Ever Us"
},
"cue_pack": null,
"genres": [
"Pop",
"Contemporary Pop"
],
"moods": [
"Heartfelt",
"Melancholy",
"Peaceful",
"Romantic",
"Sentimental"
],
"themes": [
"Wedding"
],
"instruments": [
"Bass",
"Guitar",
"Keys",
"Percussion"
],
"key": "A Major",
"has_vocals": true,
"duration": 165,
"bpm": 87,
"energy": "medium",
"mp3_url": "https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjYwNjMsInB1ciI6ImJsb2JfaWQifX0=--334d7cee15a93fd3c25bc642c5dfa72b73748c79/Dream%20About_FULL.mp3",
"wav_url": "https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjE4MjgsInB1ciI6ImJsb2JfaWQifX0=--ae00929ab830faa333a3668483dd3129ab2ccb1a/Dream%20About_FULL.wav",
"stems_url": "https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjYwNzUsInB1ciI6ImJsb2JfaWQifX0=--9ffa10c30bc545ee9f53e2105d1f416695553d1c/Dream%20About_STEMS.zip",
"alternate_versions": [
{
"name": "Instrumental",
"wav_url": "https://cdn.wavmaker.com/rails/active_storage/blobs/proxy/eyJfcmFpbHMiOnsiZGF0YSI6MjE4MjksInB1ciI6ImJsb2JfaWQifX0=--36f1d68c9fda7072cfe3a3cb5f36eadc8ad54e2a/Dream%20About_INST.wav"
}
]
}Songs
Retrieve a song
GET
/
songs
/
{song_id}
Retrieve a song
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Musical Key Signature
Duration of the song in seconds
Beats per minute
Show child attributes
Show child attributes
⌘I